QT += core
QT -= gui

CONFIG += c++11

TARGET = bin/tests
CONFIG += console
CONFIG -= app_bundle

TEMPLATE = app

QMAKE_CXXFLAGS += -std=c++11 -pedantic-errors

SOURCES += \
    tests/tests.cpp \
    src/Polymath.cpp \
    src/Matrix.cpp \
    src/LapackAdapters.cpp

HEADERS += \
    tests/tests.h \
    include/Polymath.h \
    include/internal/Matrix.h \
    include/internal/LapackAdapters.h


INCLUDEPATH += include
INCLUDEPATH += tests
INCLUDEPATH += /usr/include/python3.4

LIBS += -lrt -lm -lpthread -fopenmp -lgsl -lgslcblas -lgfortran -llapack -lblas
LIBS += -larmadillo
LIBS += -L/usr/lib/python3.4/config-3.4m-x86_64-linux-gnu/
LIBS += -lpython3.4

#DEFINES += POLYMATH_DEBUG
