/* 
 * File:   Matrix.cpp
 * Author: Samer Afach
 * 
 * Created on 01. Oktober 2016, 17:12
 */

#include "internal/Matrix.h"

namespace Poly
{
std::string ComplexUnit = "j";
std::string _lapack_eigens_exception_illegal_value(int info)
{
    return std::string("Unable to compute eigenvalues. Value " + std::to_string(-info) + " had an illegal value.");
}
std::string _lapack_eigens_exception_converge_error(int info)
{
    return std::string("Unable to compute eigenvalues. " + std::to_string(info) + " elements of an intermediate tridiagonal did not converge to zero.");
}
std::string _lapack_unsupported_type()
{
    return std::string("LAPACK does not support the type you selected. Lapack only supports doubles, floats, complex<double> and complex<float>. If you haven't chosen these types, please contact the library writer about this error.");
}
std::string _unsupported_type(const std::string& function_name)
{
    return std::string("The type you is not supported for the function " + function_name + ".");
}

}
